package com.sf._06_内部类._01_成员内部类;

public class Outer {
    private int a =10;
    // 成员内部类
    class Inner{
        private int a = 20;

        public void method(){
            int a = 30;
            System.out.println(a);  //30
            System.out.println(this.a);  //20
            System.out.println(Outer.this.a);  //10
        }
    }
}
